MailChimp API 3.0. We're getting ready!

Posted by Peter Ader on 17 December 2016
MailChimp API 3.0

MailChimp API 3.0

MailChimp has rebuilt the API from the ground up and it's time to switch! joomlamailer currently relies on an older API version, which will be discontinued in the beginning of 2017. All API versions older than 3.0 will be officially declared as no longer supported by 31. December 2016. They will continue to work for some time but nobody knows how long exactly and it is strongly encouraged to upgrade as soon as possible to avoid any service interruption.

We have been working hard over the last couple of months and have revisited our code base and rewritten a large amount in order to implement the new API. We are confident that all functions are working properly at the current stage and ask everybody to try out the public release of joomlamailer 3. However, since this is a pre-release version, we recommend not to use it on production sites! Over the next couple of weeks we will be further testing, tweaking and reviewing bug reports as they come in.